<?php
// archivo: manttemas.php
// explicacin captulo 26

// Este archivo: /admin/mantemas.php
require_once("plantilla.php");

// Esta pgina permite aadir, modificar o eliminar
// temas del foro  
// Es una pgina que slo utilizar el administrador
 

// Si se quiere probar esta pgina de modo independiente
// ajustar estos valores y activar las siguientes
// instrucciones 
//$_POST["ITemaID"]=2;
//$_POST["INombre"]="ee";
//$_POST["IImagen"]="ww";
//$_POST["ITemaRaizID"]=0;
//$_POST["Op"]="BuscarTabla";
//$_POST["Texto"]="Dibu";

//$_SERVER["PHP_AUTH_USER"]="admincom";
//$_SERVER["PHP_AUTH_PW"]="123456";
//_SESSION['Autenticado']=1 ;
//$_POST['vTemaID']=7;
//$_POST['vTemaRaizID']=0;
//$_POST['vNombre']='Hsitorias\'A\"C';
//$_POST['vImagen']="err";
//$_POST['Op']="Modificar";

if ($_SESSION['Autenticado']!=1 ) {       
      redirect("admin.php");
}

// informacin del encabezado
asignarEncabezado();

 
// logotipo y men de navegacin
abrirPagina(true,$aMENUADM);

////////////////////////////////////////////////////
// enlaces a otras pginas
////////////////////////////////////////////////////
// Tabla de navegacin del administrador del sitio
tabnavegaA($aMENU03,LIT13001,LIT00011);

// Rutina de bsqueda de los artculos de un tema
if  ($_POST["Op"]=="Buscar"){
   redirect("mantarticulos.php?vTemaID=".$_POST["vTemaID"]."&VerTema=Buscar");
}

////////////////////////////////////////////////////
// Se establece la conexin 
// con un usuario predeterminado 
// con privilegios de administrador
////////////////////////////////////////////////////
conectar(USERADMIN,PSWUSERADMIN);

$oTema = new Tema();
$sFiltro="";

// Rutina de insercin de un nuevo Tema  
if (($_POST["Op"]=="Aadir")) {
      $oTema->TemaRaizID = $_POST["ITemaRaizID"];
      $oTema->Nombre = $_POST["INombre"];
      $oTema->Imagen = $_POST["IImagen"]; 
      $oTema->aadirTema();  
} 
// Rutina de modificacin de un Tema  
elseif ($_POST["Op"]=="Modificar"){ 
      $oTema->TemaID = $_POST["vTemaID"];
      $oTema->TemaRaizID = $_POST["vTemaRaizID"];
      $oTema->Nombre = $_POST["vNombre"];
      $oTema->Imagen = $_POST["vImagen"]; 
      $oTema->modificarTema();
}
// Rutina de eliminacin de un Tema  
elseif ($_POST["Op"]=="Eliminar") {
      $oTema->TemaID = $_POST["vTemaID"];
      $oTema->eliminarTema();
}
// Rutina de filtrado de Temas
elseif ($_POST["Op"]=="BuscarTabla"){
      $sFiltro="WHERE Nombre Like '%".trim($_POST['Texto'])."%'";
}

$oTemas = new Temas;
$aTemas = $oTemas->leerTemas($sFiltro,"TemaRaizID ASC, Nombre ASC");
$aTemp	=$aTemas;
$aTemp[]['TemaID']="0"; 
$aTemp[]['Nombre']="Ninguno"; 

// Crea un objeto TablaHTML
$oTab2 = new  TablaHTML("comercio");

// Coloca los ttulos de las columnas
$oTab2->asignar_titulos_columnas(LIT13002,LIT13003,LIT13004,
								 LIT13005,"","",LIT13006);

// Formularios para la eliminacin y modificacin de Temas
// uno por cada lnea de la tabla
// navega por el conjunto de resultados
$op="<option value='0' >Ninguno</option>";

$i=0;
while ($i < $oTemas->cantTemas()){

	  unset($aB);
	  $aB[0]="<form name='form13".$i ."' method='POST' action='".SELF."' enctype='multipart/form-data'>";
	  $aB[0].="<input type='hidden' name='vTemaID' value=\"".$aTemas[$i]['TemaID']."\">";
	  $aB[1]="<input type='text' name='vTemaRaizID' value=\"".$aTemas[$i]['TemaRaizID']."\" onChange='validar(this,\"N\");'>";
	  $aB[1]= "<select name='vTemaRaizID'>";
	  reset($aTemp);
	  foreach ($aTemp as $temp) {
         $sel="";
         if ($temp['TemaID']==$aTemas[$i]['TemaRaizID']) $sel = "selected='selected'";
         $aB[1].= "<option value='".$temp['TemaID']."'" .$sel.">".$temp['Nombre']."</option>";
		}
	  $aB[1].= "</select>";
	  $aB[2]="<input type='text' name='vNombre' value=\"".clean($aTemas[$i]['Nombre'])."\">";
	  $aB[3]="<input type='text' name='vImagen' value=\"".clean($aTemas[$i]['Imagen'])."\">";
	  $aB[4]="<input type='image' src ='".PATHGIF."eliminar.gif'   
		  value='Eliminar' TITLE='".LIT00007."'   onClick='document.form13".$i.".Op.value=\"Eliminar\";' >\n";
	  $aB[5]="<input type='image' src ='".PATHGIF."modificar.gif'   
		  value='Modificar' TITLE='".LIT00008."' onClick='document.form13".$i.".Op.value=\"Modificar\";' >\n";
	  $aB[6]="<input type='image' src ='".PATHGIF."buscar.gif'   
		  value='Buscar' TITLE='".LIT00010."' onClick='document.form13".$i.".Op.value=\"Buscar\";' >\n";
	  $aB[6].="<input type='hidden' name='Op' value=' '>\n";
	  $aB[7]="</form>";
	  $op.= "<option value='".$aTemas[$i]['TemaID']."' >".$aTemas[$i]['Nombre']."</option>";

	  // se utiliza el identificador del Tema como ttulo de la fila
	  // esta columna no se puede modificar
	  $titfila[]=$aTemas[$i]['TemaID'];

	  $oTab2->aadir_fila($aB);
	  $i++;
}

///////////////////////////////////////////////
// Formulario para la insercin de nuevos Temas
///////////////////////////////////////////////
unset($aB);
$aB[0]="<form name='form14' method='POST' action='".SELF."' enctype='multipart/form-data'>";
$titfila[]=" ";
$aB[1]="<select name='ITemaRaizID'>".$op."</select>";
$aB[2]="<input type='text' name='INombre' value=' ' size='20'>";
$aB[3]="<input type='text' name='IImagen' value=' ' size='20'>";
$aB[4]="<input type='image' src ='".PATHGIF."insertar.gif'  
  value='Aadir' TITLE='".LIT00009."' onClick='document.form14.Op.value=\"Aadir\";' >\n";
$aB[4].="<input type='hidden' name='Op' value=' '>\n";
$aB[5]="</form>";
$oTab2->aadir_fila($aB);

// coloca los ttulos de cada fila
$oTab2->asignar_titulos_filas($titfila);

echo $oTab2->retornoHTML();
echo "</form>";

// informacin de pie de pgina
cerrarPagina();
?>
  