<?php
class Catalogo {
	// archivo  \bib\clases\clCatalogo.php
	// explicacin captulo 17

	/**
     * Propiedades
    */
	private $_aLista=array();
	/*
	* Mtodos
	* Catlogo() // Constructor
	* leerProductos($sFiltro, $sSort = "L.LibroID ASC", $iPage = 0)
	* cantProductos()
	*/

function __construct()   {
		$this->_aLista = array();
}

/**
* Obtiene el contenido del catlogo
*/
function leerProductos($sFiltro, $sSort = "L.LibroID ASC", $iPage = 0)    {

        // Lee el catlogo utilizando el filtro
	// que se haya definido
	$sFiltro ? $WHERE = $sFiltro : $WHERE = "";
	// SQL de la consulta
	$sql = "SELECT
             L.LibroID,
             L.Nombre 'Nombre',
             L.DetalleMenor,
             L.DetalleMayor,
             L.Autor,
             L.Editorial,
             L.Paginas,
             L.Cubierta,
             L.Tema,
             L.Imagen,
             L.Peso,
             L.Precio,
             L.IVA,
             L.Existencias,
             L.DepartamentoID 'DepartamentoID',
             L.ProveedorID,
             D.Nombre 'NombreD'
            FROM
             Libros L
             JOIN Departamentos D ON L.DepartamentoID = D.DepartamentoID "
    	. $WHERE . "   ORDER BY  " . $sSort . " LIMIT   " . $iPage . ", " . ROWCOUNT;

	$rst = accederMySQL($sql);


	$i = 0;
	// bucle por el conjunto de resultados
	while ($aFila = $rst->fetch_assoc()) {

		$this->_aLista[$i]= $aFila;
		$i++;
	}
	// libera el conjunto de resultados
	$rst->free();
	// devuelve la matriz o false
	return $this->_aLista;

} // fin leerProductos

function cantProductos()    {
	// Devuelve la cantidad de productos
	// seleccionados
	return count($this->_aLista);
}
} // fin clase Catalogo

?>
