<?php
// Este archivo: /compra/autenticarse.php
// explicacin captulo 13

// Esta pgina permite::
// 1) Validacin del cliente
//    y la derivacin a revisar datos del cliente
// 2) Derivacin al registro de un cliente nuevo

// En esta pgina no se actualiza ningn dato de
// la base de datos.

require_once("plantilla.php");

// informacin del encabezado
asignarEncabezado();


// logotipo y men de navegacin
abrirPagina(True,$aMENUGEN); 

// Si se quiere probar esta pgina de modo independiente
// ajustar estos valores y activar las siguientes
// instrucciones 
//$_POST['vEMail']="jlopez@terra.es";
//$_POST['vPalabraPaso']="juanlopez";
//$_POST['Op']="Validar";
//$_POST['Nuevo']="Nuevo cliente";


////////////////////////////////////////////////////
// Se establece la conexin 
// con un usuario predeterminado 
// con privilegios limitados
////////////////////////////////////////////////////
conectar(USERNORMAL,PSWUSERNORMAL);

////////////////////////////////////////////////////
// Barra de navegacin del proceso de compra
////////////////////////////////////////////////////
tabNavegaC($aMENU01,LIT00001);

// Rutina de filtrado de cliente
if ($_POST) {
	$oCli = new Cliente;
	if (!$oCli->validarCliente($_POST['vEMail'],$_POST['vPalabraPaso'])) {
		// cliente nuevo ok
        if ($_POST['Nuevo']=="Nuevo cliente")  {
          	redirect ('registro.php?Op=Aadir'); 
        }
        else {
        	// cliente registrado nok
        	// Cliente no registrado o mal la contrasea
        	almacenarError(LIT01005);        	
        }  
	} 
	else {
	// cliente nuevo nok
        if ($_POST['Nuevo']=="Nuevo cliente")  {
            // Error. Cdigo de cliente ya registrado.
         	almacenarError(LIT01006); 
        }
	    // cliente registrado ok
  		else {
  	     	$_SESSION['Cliente']= $oCli->ClienteID;
  	     	//redirect ('revisardatos.php');
  	     	redirect ($_POST['RetornoOK']);
  		}
  	 }
}

// Crea un objeto TablaHTML
$oTab2 = new  TablaHTML("comercio");

// Coloca los ttulos de las columnas
// email - contrasea - cliente nuevo - accin
$oTab2->asignar_titulos_columnas(LIT01001, LIT01002, LIT01003, LIT01004);

// determina el retorno si la validacin es OK
$sRet = SITE_URL. "/compra/revisardatos.php";  
if (isset($_GET['Ret']))  $sRet =  $_GET['Ret']  ;
      

// Formulario para la insercin de nuevas cuentas
unset($b);
$b[0]="<form method='POST' action='".SELF."' enctype='multipart/form-data'>";
$b[0].="<input type='text' name='vEMail' value=\"".$_POST['vEMail']."\" size='20' onChange=\"validarEmail(this)\" >";
$titfila[]=" ";
$b[1]="<input type='password' name='vPalabraPaso' value=\"".$_POST['vPalabraPaso']."\" size='20' onChange=\"validarPSW(this)\" >";
$b[2]="<input type='radio' name='Nuevo' value=\"Nuevo cliente\">";
$b[3]="<input type='submit' name='Op' value=\"Validar\">";
$b[4]="<input type='hidden' name='RetornoOK' value='".$sRet."'>";
$b[5]="</form>";
$oTab2->aadir_fila($b);

// coloca los ttulos de cada fila
$oTab2->asignar_titulos_filas($titfila);

echo $oTab2->retornoHTML();
echo "</form>";

// informacin de pie de pgina
cerrarPagina();

?>
 