<?php
// archivo: registro.php
// objetivo: datos del cliente
// explicacin en captulo 20

// Esta pgina permite aadir o modificar  datos
// del cliente
// Es una pgina que utilizar el cliente para registrarse
// o para modificar sus datos

// Este archivo: /compra/registro.php
require_once("plantilla.php");

// informacin del encabezado
asignarEncabezado();

// logotipo y men de navegacin
abrirPagina(true,$aMENUGEN);

// Si se quiere probar esta pgina de modo independiente
// ajustar estos valores y activar las siguientes
// instrucciones 
//$_SESSION['Cliente'] = 1;
//$_GET["Op"]="Aadir";
 
////////////////////////////////////////////////////
// Se establece la conexin 
// con un usuario predeterminado 
// con privilegios limitados
////////////////////////////////////////////////////
conectar(USERNORMAL,PSWUSERNORMAL);

////////////////////////////////////////////////////
// Barra de navegacin del proceso de compra
////////////////////////////////////////////////////
tabNavegaC($aMENU01,LIT00004);

////////////////////////////////////////////////////
// Rutinas de operaciones de actualizacin del cliente
////////////////////////////////////////////////////
$oCli = new Cliente;

if (($_POST["Op"]=="Aadir")|($_GET["Op"]=="Aadir")){
     $oCli->aadirCliente();
}

// a esta altura debe estar autenticado
if (!isset($_SESSION['Cliente'])){
    redirect("autenticarse.php");
}
    

// Rutina de modificacin de datos de un cliente
if ($_POST["Op"]=="Modificar")
{
     $oCli->Nombre = $_POST["vNombre"];
     $oCli->Apellidos = $_POST["vApellidos"];
     $oCli->EMail = $_POST["vEMail"];
     $oCli->PalabraPaso = $_POST["vPalabraPaso"];
     $oCli->AceptaCookies = $_POST["vAceptaCookies"];
     $oCli->Suscriptor = $_POST["vSuscriptor"];
     $oCli->Direccion = $_POST["vDireccion"];
     $oCli->Ciudad = $_POST["vCiudad"];
     $oCli->Provincia = $_POST["vProvincia"];
     $oCli->CodigoPostal = $_POST["vCodigoPostal"];
     $oCli->Telefono = $_POST["vTelefono"];
     $oCli->FAX = $_POST["vFAX"];
     $oCli->TipoTarjeta = $_POST["vTipoTarjeta"];
     $oCli->NumeroTarjeta = $_POST["vNumeroTarjeta"];
     $oCli->NombreEntarjeta = $_POST["vNombreEntarjeta"];
     $oCli->FechaCaducidad = $_POST["vFechaCaducidad"];
     $oCli->modificarCliente();
}


////////////////////////////////////////////////////
// Muestra los datos del cliente
////////////////////////////////////////////////////
$aCli = $oCli->leerCliente();

//
// tambin podramos obtener los datos del cliente
// con esta sintaxis
// $oCli->EMail
// en lugar  de  $aCli['EMail']
// es lo mismo
//

echo "<form method=\"POST\" action=\"".SELF ."\" enctype=\"multipart/form-data\">";
echo "<table valign=\"top\" width=\"100%\" border=\"3\">";
echo "<tr>";

echo "<td><table valign=\"top\" width=\"100%\" border=\"1\">";
echo "<tr><td  valign=\"top\">".LIT03026.":</td><td><input type='text' name='vNombre' value=\"".clean($aCli['Nombre'])."\"></b></td></tr>";
echo "<tr><td>".LIT03001.": </td><td><input type='text' name='vApellidos' value=\"".clean($aCli['Apellidos'])."\"></td></tr>";
echo "<tr><td>".LIT03002.": </td><td><input type='text' name='vEMail' value=\"".clean($aCli['EMail'])."\"></td></tr>";
echo "<tr><td>".LIT03003.":</td><td><input type='password' name='vPalabraPaso' value=\"".clean($aCli['PalabraPaso'])."\"></td></tr>";
echo "<tr><td>".LIT03004.": </td><td><input type='text' name='vDireccion' value=\"".clean($aCli['Direccion'])."\"></td></tr>";
echo "<tr><td>".LIT03005.": </td><td><input type='text' name='vCiudad' value=\"".clean($aCli['Ciudad'])."\"></td></tr>";
echo "<tr><td>".LIT03006.": </td><td><input type='text' name='vProvincia' value=\"".clean($aCli['Provincia'])."\"></td></tr>";
echo "<tr><td>".LIT03007.": </td><td><input type='text' name='vCodigoPostal' value=\"".clean($aCli['CodigoPostal'])."\"></td></tr>";
echo "</table></td>";

echo "<td><table valign=\"top\" width=\"100%\" border=\"1\">";
echo "<tr><td>".LIT03008.": </td><td><input type='text' name='vTelefono' value=\"".clean($aCli['Telefono'])."\"></td></tr>";
echo "<tr><td>".LIT03009.":</td><td><input type='text' name='vFAX' value=\"".clean($aCli['FAX'])."\"></td></tr>";
echo "<tr><td>".LIT03010.":</td><td><select name='vTipoTarjeta'>";

// medios de pago 
while($temp = each($aTIPOS02))    {
     $sel="";
     if ($temp[1]==$aCli['TipoTarjeta']) $sel = "selected=\"selected\"";
         echo "<option value=\"".$temp[0]."\"" .$sel.">".$temp[1]."</option>";
}
echo "</select></td></tr>";

echo "<tr><td>".LIT03011.": </td><td><input type='text' name='vNumeroTarjeta' value=\"".clean($aCli['NumeroTarjeta'])."\"></td></tr>";
echo "<tr><td>".LIT03012.": </td><td><input type='text' name='vNombreEntarjeta' value=\"".clean($aCli['NombreEntarjeta'])."\"></td></tr>";
echo "<tr><td>".LIT03013.": </td><td><input type='text' name='vFechaCaducidad' value=\"".clean($aCli['FechaCaducidad'])."\"></td></tr>";
$check="";
if ($aCli['AceptaCookies'] =="S") $check= " checked=\"checked\"";
echo "<tr><td>".LIT03014.": </td><td><input type='checkbox' name='vAceptaCookies' value='1'".$check."></td></tr>";
$check="";
if ($aCli['Suscriptor'] =="S") $check= " checked=\"checked\"";
echo "<tr><td>".LIT03015.": </td><td><input type='checkbox' name='vSuscriptor' value='1'".$check."></td></tr>";

echo "</table></td></tr>";
echo "</table>";
echo "<input type=\"hidden\" name=\"vClienteID\" value=\"".$aCli['ClienteID']."\">";
echo "<input type=\"submit\" name=\"Op\" value=\"Modificar\">";
echo "</form>";


// informacin de pie de pgina
cerrarPagina();
?>