<?php
// archivo: mantcuentas.php
// Este archivo: /admin/mantcuentas.php
// explicacin captulo 18 

////////////////////////////////////////////////////
// archivos de inclusin
////////////////////////////////////////////////////

require_once("plantilla.php");
// Esta pgina permite realizar el mantenimiento de las cuentas
// de usuario por lo que slo la utiliza el administrador (autenticado)
// Desde esta pgina se pueden realizar altas, bajas y modificaciones
// de cuentas

// Si se quiere probar esta pgina de modo independiente
// ajustar estos valores y activar las siguientes
// instrucciones 
//$_SESSION['Autenticado']=True;
//$_POST= Array ( 'vLogin' => 'luisa', 'vPalabraPaso' => 'checka', 'Op' => 'Eliminar');
//$_POST= Array ( 'ILogin' => 'LUISA', 'IPalabraPaso' => 'LUISAA', 'Op' => 'Aadir');

if ($_SESSION['Autenticado']!=1 ) {       
      redirect("admin.php");
}


// informacin del encabezado
asignarEncabezado();

// logotipo y men de navegacin
abrirPagina(true,$aMENUADM);

////////////////////////////////////////////////////
// enlaces a otras pginas
////////////////////////////////////////////////////
// Tabla de navegacin del administrador del sitio
tabnavegaA($aMENU02,LIT12001,LIT00011);

////////////////////////////////////////////////////
// Se establece la conexin 
// con un usuario predeterminado 
// con privilegios de administrador
////////////////////////////////////////////////////
conectar(USERADMIN,PSWUSERADMIN);
$sFiltro=""; 

// Rutina de insercin de una nueva cuenta
// En modificaciones, eliminaciones e inserciones se
// utilizan los campos POST para completar el contenido del
// objeto Cuenta para hacer la operacin SQL correspondiente
if (($_POST["Op"]=="Aadir")&&($_POST["ILogin"]!=" ")) {
	  $oCta = New Cuenta("");
	  $oCta->LOGIN = $_POST["ILogin"];
      $oCta->PalabraPaso = $_POST["IPalabraPaso"];
      $oCta->aadirCuenta();
}

// Rutina de modificacin de una cuenta
elseif ($_POST["Op"]=="Modificar")
{
      $oCta = New Cuenta($_POST["vLogin"]);
	  $oCta->PalabraPaso = $_POST["vPalabraPaso"];
      $oCta->modificarCuenta();
}

// Rutina de eliminacin de una cuenta
elseif (($_POST["Op"]=="Eliminar")&&($_POST["vLogin"]!=$_SERVER["PHP_AUTH_USER"]))
{
    $oCta = New Cuenta($_POST["vLogin"]);  
	$oCta->eliminarCuenta();
}

// Rutina de filtrado de cuentas
elseif ($_POST["Op"]=="BuscarTabla")
{
  $sFiltro="WHERE Login Like '%".trim($_POST['BTexto'])."%' or ";
  $sFiltro.="     PalabraPaso Like '%".trim($_POST['BTexto'])."%'";
}

// se crea el objeto Cuentas (conjunto de cuentas)
$oCtas = New Cuentas;
$aCtas = $oCtas->leerCuentas($sFiltro);
 
// Crea un objeto TablaHTML
$oTab2 = new  TablaHTML("comercio");

// Coloca los ttulos de las columnas
$oTab2->asignar_titulos_columnas(LIT12002,LIT12003,LIT12004,LIT12005);


// Formularios para la eliminacin y modificacin de cuentas
// uno por cada lnea de la tabla

// navegacin por el conjunto de resultados
$i= 0;
 
while ($i < $oCtas->cantCuentas()) {
 
  unset($aB);

  $aB[0]="<form name='form12".$i."' method='POST'  enctype='multipart/form-data'>\n";
  $aB[0].="<input type='hidden' name='vLogin' value='".clean($aCtas[$i]['LOGIN'])."'>";
  $aB[0].=$aCtas[$i]['LOGIN'];
  $aB[1]="<input type='text' name='vPalabraPaso' value=\"".clean($aCtas[$i]['PalabraPaso'])."\" onChange='validar(this,\"AN\",".LIT12007.");'>\n";
  $aB[2]="<input type='image' src ='".PATHGIF."eliminar.gif'   
  value='Eliminar' TITLE='".LIT00007."'   onClick='document.form12".$i.".Op.value=\"Eliminar\";' >\n";
  $aB[3]="<input type='image' src ='".PATHGIF."modificar.gif'  
  value='Modificar' TITLE='".LIT00008."' onClick='document.form12".$i.".Op.value=\"Modificar\";' >\n";
  $aB[4].="<input type='hidden' name='Op' value=' '>\n";
  $aB[5]="</form>\n";

  
  // se utiliza el identificador de la cuenta como ttulo de la fila
  // esta columna no se puede modificar
  $titfila[]=$aCtas[$i]['Login'];

  $oTab2->aadir_fila($aB);
  $i++;
}


// Formulario para la insercin de nuevas cuentas
unset($aB);
$aB[0]="<form name='form12' method='POST'  enctype='multipart/form-data'>";
$aB[0].="<input type='text' name='ILogin' value='' size='20' onChange='validar(this,\"AN\",".LIT12006.");'>";
$titfila[]=" ";
$aB[1]="<input type='password' name='IPalabraPaso' value='' size='20' onChange='validar(this,\"AN\",".LIT12007.");'>";
$aB[2]="<input type='image' src ='".PATHGIF."insertar.gif'   
  value='Aadir' TITLE='".LIT00010."' onClick='document.form12.Op.value=\"Aadir\";' >\n";
$aB[2].="<input type='hidden' name='Op' value=' '>\n";
$aB[3]="</form>";
$oTab2->aadir_fila($aB);

// coloca los ttulos de cada fila
$oTab2->asignar_titulos_filas($titfila);

echo $oTab2->retornoHTML();
echo "</form>";

// informacin de pie de pgina
cerrarPagina();
?>
