<?php
// Este archivo: /bib/base/plantilla.php

// si hay una sesin activa, la retoma
// si no hay sesin activa, la crea

session_start();

// Archivos de inclusin
require_once("funciones.php");

require_once("clCuenta.php");
require_once("clCuentas.php");

require_once("clCatalogo.php");
require_once("clCesta.php");

require_once("clCliente.php");
require_once("clDepartamento.php");
require_once("clDepartamentos.php");
require_once("clItemCesta.php");
require_once("clItemsCesta.php");
require_once("clItemPedido.php");
require_once("clItemsPedido.php");
require_once("clLibro.php");
require_once("clPedido.php");
require_once("clProveedor.php");
require_once("clProveedores.php");
require_once("clTablaHTML.php");
require_once("clTema.php");
require_once("clTemas.php");
require_once("clArticulo.php");
require_once("clArticulos.php");
require_once("clNewsletter.php");
require_once("clNewsletters.php");



// genera el encabezado de la pgina
function asignarEncabezado() {
	global $sTit;
	
	print "<?xml version=\"1.0\" encoding=\"ISO-8859-1\"?>\r\n" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    <title><?php print EMPRESA . " " . $sTit ;?></title>
    <link href="http://localhost/BookClub/css/bookclub.css" rel="stylesheet" media="all" type="text/css"/>
</head>

<SCRIPT LANGUAGE="Javascript">
<!--


function validarEmail(oForm) {
     // explicacin captulo 13
     // se crea una expresin regular para comprobar
     // el formato de una direccin de email 
     var testMail = new RegExp("^[0-9a-z._-]+@{1}[0-9a-z.-]{2,}[.]{1}[a-z]{2,5}$","i");
     // si la comprobacin es FALSE se emite un aviso
     if ((testMail.test(oForm.value))== false)
 	alert(oForm.value +  " : direccin de email con formato invlido! ");
 	
}


function validarPSW(oForm) {
    // explicacin captulo 13        
	len=oForm.value.length;

 	if ((len<=3)) {
 		 warn(oForm.value +  ": contrasea debe tener ms de 3 caracteres. ");
 	}
}

function warn(sTexto) {
	// explicacin captulo 13 
	alert(sTexto);
}

function validar(oForm,sTipo,iLmin) {
	// explicacin captulo 18 
	// validaciones permitidas      
 
	var isInvalid = false;
	for (i=0;i<oForm.value.length;i++){
      if (sTipo == 'A'){
           if (validarAlfa(oForm.value.charAt(i)) == false) {
               isInvalid = true;
               i = oForm.value.length;
           }
      } 
      else if (sTipo == 'N'){
            if (validarNum(oForm.value.charAt(i)) == false){
                isInvalid = true;
                i = oForm.value.length;
            }
      }else if (sTipo == 'AN'){
            if (validarAlfaNum(oForm.value.charAt(i)) == false){
                isInvalid = true;
                i = oForm.value.length;
            }
      }
     
	}
	if (oForm.value.length < iLmin){
		isInvalid = true;
	}
	if (isInvalid == true) {
      	warn(oForm.value + ": invlido. ");
	}      
}

// valida caracteres de texto
function validarAlfaNum(sCaracter) {
	// explicacin captulo 18 
	if ((sCaracter >= 'a' && sCaracter <= 'z') ||
          (sCaracter >= 'A' && sCaracter <= 'Z') ||
          (sCaracter == ' ' || sCaracter == ',') ||
          (sCaracter >= '0' && sCaracter <= '9') ||
          (sCaracter == ',' || sCaracter == '-'))
          return true
	else
          return false;
}

 
// valida caracteres de texto
function validarAlfa(sCaracter) {
	// explicacin captulo 18 
	if ((sCaracter >= 'a' && sCaracter <= 'z') ||
          (sCaracter >= 'A' && sCaracter <= 'Z') ||
          (sCaracter == ' ' || sCaracter == ','))
          return true
	else
          return false;
}


// valida caracteres numricos
function validarNum(sNum) {
	// explicacin captulo 18 
	if ((sNum >= '0' && sNum <= '9') ||
          (sNum == ',' || sNum == '-'))
          return true
	else
          return false;
}



// -->
</SCRIPT>
<?php

} // end AsignarEncabezado()


// genera apertura de la pgina
function abrirPagina($bBanner,$menu) {
	
// verVariables();
	
?>

<body>

<!--| inicio pgina completa tabla 1|-->
<table width="772" border="0" cellpadding="0" cellspacing="0">
<tr>
 <td width="121" class="navega" valign="top">
 <!--| inicio tabla de men NAVEGACIN lateral  tabla 2 |-->
  <table width="121" border="0" cellpadding="0" cellspacing="0" class="navega">
  <tr>
   <td colspan="2"><img src="<?php print PATHGIF ;?>espacio.gif" width="1" height="54" alt="" border="0" /></td>
  </tr>
  <tr>
   <td colspan="2"><img src="<?php print PATHGIF ;?>lineas_menu.gif" width="121" height="2" alt="" border="1" /></td>
  </tr>
  <tr>
   <td colspan="2"><img src="<?php print PATHGIF ;?>espacio.gif" width="1" height="10" alt="" border="0" /></td>
  </tr>
<?php  while ($temp = each($menu))  {?>
  <tr>
   <td width="15"><img src="<?php print PATHGIF ;?>espacio.gif" width="15" height="1" alt="" border="0" /></td>
   <td width="104"><a href="<?php print APLIC.$temp[1];?>" class="menu"><?php print $temp[0];?></a></td>
  </tr>
  <tr>
   <td colspan="2"><img src="<?php print PATHGIF ;?>espacio.gif" width="1" height="10" alt="" border="0" /></td>
  </tr>
  <tr>
   <td colspan="2"><img src="<?php print PATHGIF ;?>lineas_menu.gif" width="121" height="2" alt="" border="1" /></td>
  </tr>
<?php } ?>
  <tr>
   <td colspan="2"><img src="<?php print PATHGIF ;?>espacio.gif" width="1" height="10" alt="" border="0" /></td>
  </tr>
  <tr>
   <td colspan="2"><img src="<?php print PATHGIF ;?>lineas_menu.gif" width="121" height="2" alt="" border="1" /></td>
  </tr>
  <tr>
   <td colspan="2"><img src="<?php print PATHGIF ;?>espacio.gif" width="1" height="20" alt="" border="0" /></td>
  </tr>
 <!--| fin tabla de men tabla 2|--> 
  </table>
  </td>
  <td width="1" bgcolor="#D4D3D3" rowspan="2"><img src="<?php print PATHGIF ;?>espacio.gif" width="1" height="1" alt="" border="0" /></td>
  <td width="15" rowspan="2"><img src="<?php print PATHGIF ;?>espacio.gif" width="15" height="1" alt="" border="0" /></td>
  <td width="640" valign="top">
  
  <!--| inicio de TABLA DE CONTENIDO tabla 3 |-->
  <table width="640" border="0" cellpadding="0" cellspacing="0">
<?php
 if ($bBanner) {   ?>
  <tr>
   <td><img src="<?php print PATHGIF ;?>logo3.gif" width="640" height="75" alt="" border="1" /></td>
  </tr>
<?php } ?>
  <tr>
   <td>
   <!--| inicio de seccin de contenido |-->
   <br />
<?php
} // end abrirPagina()


//************************************************
// genera el cierre de la pgina
//************************************************
function cerrarPagina() {
?>
 <!--| fin de seccin seccin |-->
   </td>
  </tr> 
 <!--| fin de tabla de contenido Tabla 3 |-->
  </table>
        

   </td>
  </tr>
  <tr>
   <td width="121" height="1" bgcolor="#CBCACA"><img src="<?php print PATHGIF ;?>espacio.gif" width="1" height="1" alt="" border="0" /></td>
   <td width="651" height="1"><img src="<?php print PATHGIF ;?>espacio.gif" width="1" height="1" alt="" border="0" /></td>
  </tr>
<!--| fin de pgina completa Tabla 1|-->
</table>
<center>
<!--| avisos legales |-->
<p>
<p align="center" class="pie">  
	<BR><?php  print   EMPRESA . "  (". aadirLinks(SITE_URL) . ")"; ?> <BR>
	<a href="<?php print SITE_URL; ?>/acercade.php" ; >
	<?php  print LIT21004 . EMPRESA ?></a> <BR>
	<a href="<?php print SITE_URL; ?>/privacidad.php" >
	<?php  print LIT21001  ?></a> <BR>
	<?php  print COPYRIGHT ; ?><BR>
    <?php  print LIT21002  ; ?>
    <a href="mailto:<?php  print DE_EMAIL ; ?>" > 
    <?php  print DE_EMAIL  ;?></a>
    <?php  print LIT21003 ; ?>
    <a href="mailto:<?php  print EMAIL ; ?>" >
    <?php  print EMAIL  ;?></a>
   <BR>
</p>
</center>


<div class="logo"><?php print EMPRESA ; ?></div>
<?php

    // si hay errores se muestran a pie de pgina 
	mostrarErrores();

?>
</body>
</html>
<?php } // end cerrarPagina()
?>
