<?php
class Articulos {
	// archivo \bib\clases\clArticulos.php
	// explicacin captulo 27
	
	/**
     * Propiedades
     */
	private $_aLista;
	/*
	* Mtodos
	* __construct() // Constructor
	* leerArticulos($sFiltro, $sSort = "L.ArticuloID ASC", $iPage = 0)
	* cantArticulos()
	*/
	
	
function __construct()   {
	
	$this->_aLista = array();
	
}


function leerArticulos($sFiltro, $iPage = 0,$sSort = "A.ArticuloID ASC" )    {
 
	// limpia la matriz 
	$this->_aLista = array();
	
	 
	$sFiltro ? $WHERE = $sFiltro : $WHERE = "";

	// genera la sentencia SQL
	$sql = "SELECT
             A.ArticuloID,
             A.TemaID,
             A.RefArticuloID,
             A.Titulo,
             A.Texto,
             A.Usuario,
             A.Revisado,
             A.Secuencia,
             A.UltimaMod,
             A.FechaCreacion,
             T.Nombre 'NombreT'
            FROM
             Articulos A  
             JOIN Temas T ON A.TemaID = T.TemaID "
    	. $WHERE . "   ORDER BY  " . $sSort . " LIMIT   " . $iPage . ", " . 200;

	$rst = accederMySQL($sql);

	// bucle por el conjunto de resultados
	while ($aFila = $rst->fetch_assoc()) {
		$this->_aLista[]= $aFila;
	}
	// libera el conjunto de resultados
	$rst->free();
	
	// devuelve la matriz o false
	return $this->_aLista;

} // fin leerArticulos 
    
    
    
function obtenerArbol($sSecuencia)    {
    	 
	$this->_aLista = array();
    
	// elimina el ltimo nivel de la secuencia y
	// extrae todos los registros que  tengan
	// la primera parte igual: el rbol hacia
	// arriba	 
	$i = strlen($sSecuencia) - 6;	
	// genera la sentencia SQL
	$sql = "SELECT
             A.ArticuloID,
             A.TemaID,
             A.RefArticuloID,
             A.Titulo,
             A.Texto,
             A.Usuario,
             A.Revisado,
             A.Secuencia,
             A.UltimaMod,
             A.FechaCreacion,
             T.Nombre 'NombreT'
            FROM
             Articulos A  
             JOIN Temas T ON A.TemaID = T.TemaID  
    	   WHERE A.Secuencia LIKE '". substr($sSecuencia,0,$i)."%'   
                  ORDER BY  A.Secuencia";
	$rst = accederMySQL($sql);

 
	// bucle por el conjunto de resultados
	while ($aFila = $rst->fetch_assoc()) {
   		$this->_aLista[]= $aFila;
   	}
   	
   	// libera el conjunto de resultados
	$rst->free();
	
	// devuelve la matriz o false
	return $this->_aLista;

} // fin obtenerArbol

function cantArticulos()    {
	
	return count($this->_aLista);
	
} // fin cantArticulos()


} // fin clase Artculos

?>
