 <?php
class ItemCesta { // clase ItemCesta
    //	archivo \bib\clases\clItemCesta.php
    // explicacin captulo 19

    private $_aLista=array();
    private $_aDirty=False;

    /*
    * Mtodos
    * ItemCesta() // Constructor
    * aadirItemCesta()
    * modificarItemCesta($iItem,$iCant)
    * eliminarItemCesta($iItem)
    */


function __construct() { // Constructor

      $this->_aLista = array();

} // Constructor

function __get($nv){

	// la funcin isset() verifica si la variable est asignada
	if (isset($this->_aLista[$nv]) ){
	    // devuelve el elemento de la matriz que corresponde
	    // al nombre de campo solicitado
	    return $this->_aLista[$nv];
	}
	else {
	    // si el elemento no existe en la matriz
	    // devuelve False
	    // Este sera un error de codificacin, ya
	    // que se estara solicitando una columna
	    // con un nombre errneo (no existe en la tabla)
	    return False;
	}

}  // fin funcin _get

function __set($nv,$val){
	// asigna un valor a un elemento de la matriz
	// funcin genrica para asignar valores a las columnas
	// (o propiedades) del objeto
	$this->_aLista[$nv] = $val;

	// se marca que el objeto tiene un campo actualizado
	// respecto al contenido en la tabla
	// esto obligar a un Update
	$this->_bDirty = True;
	return True;

} // fin funcin _set

function aadirItemCesta() { // Aadir ItemCesta

	// Rutina de insercin de una nueva cesta
	$sql= "INSERT INTO ItemCesta
            (CestaID, LibroID, CantidadUnidades )
           VALUES
             (".$this->CestaID.",'"
               .$this->LibroID."',"
               .$this->Cantidad.");";


	$this->ItemCestaID = accederMySQL($sql,"ID");


} // fin aadir ItemCesta

function modificarItemCesta($iItem,$iCant) { // modificar ItemCesta


      $sql= "UPDATE ItemCesta
       SET   CantidadUnidades =\"".$iCant."\"
       WHERE ItemCestaID = \"".$iItem."\";";

      $rst=accederMySQL($sql);

} // fin modificarItemCesta

function eliminarItemCesta($iItem) { // eliminar ItemCesta

      $sql= "DELETE FROM ItemCesta
            WHERE ItemCestaID = \"".$iItem."\";";

      $rst=accederMySQL($sql);

} // fin eliminarItemCesta

function leerItemCesta(){

      // Rutina de lectura de una cesta
      $sql = "SELECT * FROM ItemCesta
                 WHERE ItemCestaID = '" . $this->ItemCestaID."'";

      $rst=accederMySQL($sql);
      $this->_aLista = array();
      $this->_aLista = $rst->fetch_assoc();
      return $this->_aLista;


} // fin leerItemCesta

} // fin clase ItemCesta

?>

