<?php
class ItemPedido { // clase ItemPedido
	// archivo \bib\clases\clItemPedido.php
	// explicacin captulo 23  
	  
    private $_aLista;
    private $_bDirty;
 	/*
    * Mtodos
    * __construct() // Constructor
    * aadirItemPedido()
    */  

function __construct() { // Constructor
     $this->_aLista = array();
     $this->_bDirty = false;
         	
} // Constructor

function __get($nv){
		 
	// la funcin isset() verifica si la variable est asignada
	if (isset($this->_aLista[$nv]) ) {
		// devuelve el elemento de la matriz que corresponde
		// al nombre de campo solicitado
		return $this->_aLista[$nv];
	}	
	else {
		// si el elemento no existe en la matriz
		// devuelve False
		// Este sera un error de codificacin, ya
		// que se estara solicitando una columna
		// con un nombre errneo (no existe en la tabla)
		return False;
	}
 
}  // fin funcin _get
	 
function __set($nv,$val){
	
	// asigna un valor a un elemento de la matriz
	// funcin genrica para asignar valores a las columnas
	// (o propiedades) del objeto			 	 
	$this->_aLista[$nv] = $val;
	
	// se marca que el objeto tiene un campo actualizado
	// respecto al contenido en la tabla
	// esto obligar a un Update
	$this->_bDirty = True;
	return True;
		
} // fin funcin _set     
     
function aadirItemPedido() { // Aadir ItemPedido
        
	// Rutina de insercin de un item de pedido  
	$sqln="";
	$sqlv="";
        
	foreach ($this->_aLista as $key => $value){  
		if ($key <> "ItemPedidoID"){    
			$sqln =  $sqln .  $key. " ,";
			$sqlv = $sqlv . "'".$value."',";
		}
	}
	
	$sql = "INSERT INTO ItemPedido ( ".substr($sqln,0,strlen($sqln)-1).
                ") VALUES (".substr($sqlv,0,strlen($sqlv)-1).");";
 
        // el resultado de la operacin MySQL
	// devuelve el identificador asignada
	// a la fila insertada
	$this->ItemPedidoID =accederMySQL($sql,"ID");
         

} // fin aadir ItemPedido 
     
  
} // fin clase
  
?>

