<?php
class ItemsCesta { // clase ItemsCesta
	// archivo \bib\clases\clItemsCesta.php
	// explicacin captulo 19

    private $_aLista=array();

 	/*
    * Mtodos
    * ItemsCesta() // Constructor
    * leerItemsCesta()
    * cantItemsCesta()
    */

function __construct() { // Constructor
      $this->_aLista = array();
} // Constructor

function leerItemsCesta() { // Lee contenido con descripcin


	$sql = "SELECT ItemCesta.ItemCestaID,
           ItemCesta.LibroID,
           ItemCesta.CantidadUnidades,
           L.Nombre,
           L.Autor,
           L.Precio,
           L.IVA,
           L.Peso
		FROM ItemCesta
		JOIN Libros L ON ItemCesta.LibroID=L.LibroID
		WHERE CestaID =".$_SESSION["Cesta"].";";

	$rst=accederMySQL($sql);
	while($row = $rst->fetch_assoc()){
		// reclculo de totales
		$row['PrecioT'] = $row['Precio']*$row['CantidadUnidades'];
		$row['IVAT'] = $row['IVA']*$row['CantidadUnidades'];
		$row['PesoT'] = $row['Peso']*$row['CantidadUnidades'];
		$row['PrecioVP'] = $row['PrecioT']+$row['IVAT'];

		// guarda la matriz
		$this->_aLista[]=$row;
	};

	return $this->_aLista;

} // fin funcin leerItemsCesta

function cantItemsCesta() {

	// Devuelve la cantidad de tems
	$i = count($this->_aLista);
	return $i;
}

} // fin clase ItemsCesta

?>

