<?php
class Newsletters {
	// archivo \bib\clases\clNewsletters.php
	// explicacin en captulo 29
	/**
     * Propiedad
     */
	private $_aLista=array();

	/*
    * Mtodos
    * Newsletters() // Constructor
    * leerNewsletters($sFiltro, $sSort="NewsID DESC", $iPage=0)
    * cantNewsletters()
    */

function __construct() {

 	// en el constructor no hacemos nada

}

function leerNewsletters($sFiltro="", $sSort="NewsID DESC", $iPage=0) {


	$sFiltro ?  $WHERE = $sFiltro: $WHERE = "" ;

	// Generacin de la cadena de consulta SQL
	$sql = "SELECT *  FROM Newsletter "
		      . $WHERE .
		      " ORDER BY  "  .$sSort .
		      " LIMIT   "    .$iPage.", ".ROWCOUNT;

	$rst = accederMySQL($sql);

	$i = 0;

	// Bucle por el conjunto de resultados
	while ($aFila = $rst->fetch_assoc()) {
		$this->_aLista[$i] = $aFila;
		$i++;
	}

	// liberar el conjunto de resultados
	$rst->free();

	// Devuelve la matriz
	return $this->_aLista;

} // fun funcin leerNewsletters()

function cantNewsletters() {
	// Devuelve la cantidad de Newsletters
	// filtrados
	return count($this->_aLista);
} // fin funcin cantNewsletters()

} // fin clase Newsletters


?>
