<?php 
// Este archivo: /compra/index.php
// explicacin en captulo 19

require_once("plantilla.php");

// informacin del encabezado
asignarEncabezado();

// logotipo y men de navegacin
abrirPagina(true,$aMENUGEN);

// Si se quiere probar esta pgina de modo independiente
// ajustar estos valores y activar las siguientes
// instrucciones 
// Datos para DEBUG
//$_SESSION['Cesta'] = 55;
//$_SESSION['Cliente'] = 1;
//$_POST['Op']="Buscar";
//$_POST['BDepartamento']="Base de datos";
//vervariables();

////////////////////////////////////////////////////
// Se establece la conexin 
// con un usuario predeterminado 
// con privilegios limitados
////////////////////////////////////////////////////
conectar(USERNORMAL,PSWUSERNORMAL);

// //////////////////////////////////////////////////
// Barra de navegacin del proceso de compra
// //////////////////////////////////////////////////
tabNavegaC($aMENU01,LIT00002);

// //////////////////////////////////////////////////
// Rutina de filtrado de libros
// //////////////////////////////////////////////////
$sFiltro = "";

if ($_POST["Op"] == "Buscar") {
    $sFiltro = "  WHERE  L.Nombre Like '%" . trim($_POST['BTitulo']) . "%' AND ";
    $sFiltro .= "        D.Nombre Like '%" . trim($_POST['BDepartamento']) . "%' AND ";
    $sFiltro .= "        (DetalleMenor Like '%" . trim($_POST['BTexto']) . "%' or ";
    $sFiltro .= "        DetalleMayor Like '%" . trim($_POST['BTexto']) . "%'  or ";
    $sFiltro .= "        Tema Like '%" . trim($_POST['BTexto']) . "%') AND ";
    $sFiltro .= "        Autor Like '%" . trim($_POST['BAutor']) . "%' ";
    $sTexto = " donde aparece la informacin buscada ";
} 

if ($_POST["Op"] == "Ver") {
    $sFiltro = " WHERE  L.LibroID Like '%" . trim($_POST['vLibroID']) . "%' ";
} 

// //////////////////////////////////////////////////
// Rutina de comprar
// //////////////////////////////////////////////////
if ($_POST["Op"] == "Comprar" ){
	// si no ha iniciado una sesin se deber autenticar
	// o registrarse
      	if (!isset($_SESSION['Cliente'])){
            redirect ('autenticarse.php?Op=Autenticarse'); 
	}else {
		// si ya est en sesin, se crea o se retoma la
		// cesta
    	$oCesta = new Cesta;
    	$oItemCesta = new ItemCesta;
    	$oItemCesta->CestaID = $oCesta->CestaID;
    	$oItemCesta->LibroID = $_POST['LibroID'];
    	$oItemCesta->Cantidad = $_POST['Cantidad'];
    	$oItemCesta->aadirItemCesta();
	}
}

 
// //////////////////////////////////////////////////
// Obtener los libros del catlogo
// //////////////////////////////////////////////////
// Se crea el objeto Catalogo con el filtro
// que se haya definido
$oCat = new Catalogo;
$aCat = $oCat->leerProductos($sFiltro, " L.LibroID ASC");

//echo "<BR>Filtro " . $sFiltro;
//echo "<BR> Catlogo ledo<br> ";
//print_r ($aCat);
//echo "<BR>  <br>";

// Genera la tabla para bsquedas en el catlogo
tabbuscar($oCat->cantProductos()); 

// //////////////////////////////////////////////////
// Mostrar todos los libros seleccionados
// //////////////////////////////////////////////////
$i = 0;
while ($i < $oCat->cantProductos()) {
    echo "<form  method='POST' action='" . SELF . "' enctype='multipart/form-data'>\n";
    // tabla A
    echo "<table valign='top' width='635' border='1'>\n";
    echo "<tr>\n";
    // tabla B
    echo "<td><table valign='top' width='120' border='0'>\n";
    echo "<tr><td align='center'><img  src=\"" . PATHIMG . "/". clean($aCat[$i]['Imagen']) . "\" width='120' height='200' /></td></tr>\n";
    echo "</table></td>\n";
    // fin tabla B
    // tabla C
    echo "<td><table valign='top' width='200' border='0'>\n";
    echo "<tr><td  valign='top'>" . LIT02002 . ":<br><b>" . clean($aCat[$i]['Nombre']) . "</b></td></tr>\n";
    echo "<tr><td>" . LIT02003 . ": " . clean($aCat[$i]['Tema']) . "</td></tr>\n";
    echo "<tr><td>" . LIT02004 . ": " . clean($aCat[$i]['NombreD']) . "</td></tr>\n";
    echo "<tr><td>" . LIT02005 . ": <b>" . clean($aCat[$i]['Autor']) . "</b></td></tr>\n";
    echo "<tr><td>" . LIT02006 . ": " . clean($aCat[$i]['Editorial']) . "</td></tr>\n";
    echo "<tr><td>" . LIT02007 . ": " . clean($aCat[$i]['LibroID']) . "</td></tr>\n";
    echo "<tr><td>" . LIT02008 . ": " . $aCat[$i]['Paginas'] . "</td></tr>\n"; 
    // echo "<tr><td>Cubierta: ".$aCat[$i]['Cubierta']."</td></tr>";
    echo "<tr><td>" . LIT02009 . ": Rstica</td></tr>\n";
    echo "<tr><td>" . LIT02010 . ": " . $aCat[$i]['Peso'] . "</td></tr>\n";
    echo "<tr><td>" . LIT02011 . ":" . ($aCat[$i]['IVA'] + $aCat[$i]['Precio']) . "</td></tr>\n";
    echo "</table></td>\n";
    // fin tabla C
    // tabla D
    echo "<td><table valign='top' width='300' border='0'>\n";
    echo "<tr><td><b>" . LIT02012 . ": </b>" . clean($aCat[$i]['DetalleMenor']) . "</td></tr>\n";
    echo "<tr><td><b>" . LIT02013 . ": </b>" . clean($aCat[$i]['DetalleMayor']) . "</td></tr>\n";
    echo "</table></td></tr>\n";
    // fin tabla D
    echo "</table>\n";
    // fin tabla A
    echo LIT02015 . ": <input type='text' name='Cantidad' value='1' size='5'>\n";
    echo "<input type='hidden' name='LibroID' value='" . $aCat[$i]['LibroID'] . "'>\n";
    echo "<input type='hidden' name='Op' value='Comprar'>\n";
    echo "<input type='image' src='".PATHGIF."cesta.gif' name='Op' value=\"Comprar\" ></td>\n";
    echo "</form>\n";
    $i++;
} 

// informacin de pie de pgina
cerrarPagina();

?>