<?php
// archivo: finalizarpedido.php
// explicacin captulo 25

// objetivo: finalizar la compra

// esta pgina es puro proceso de base de datos
// casi no tiene HTML
// Lee el registro de Cliente
// Lee el pedido
// Inicia la transaccin
//   elimina la cesta
//   modifica el estado del pedido
//   actualiza las existencias del catlogo
// Finaliza la transaccin ( si alguna operacin
// de base de datos da error retrocede la transaccin)
// Enva un email al cliente confirmando la compra
// Enva un email a cada proveedor para pedir la reposicin
// Informa en la pgina el resultado de toda la operacin


require_once("plantilla.php");

// informacin del encabezado
asignarEncabezado();

// logotipo y men de navegacin
abrirPagina(true,$aMENUGEN);

// Si se quiere probar esta pgina de modo independiente
// ajustar estos valores y activar las siguientes
// instrucciones
$_SESSION['Cliente'] = 2;
$_SESSION['Pedido'] = 14;


////////////////////////////////////////////////////
// Se establece la conexin
// con un usuario predeterminado
// con privilegios limitados
////////////////////////////////////////////////////
conectar(USERNORMAL,PSWUSERNORMAL);

////////////////////////////////////////////////////
// Barra de navegacin del proceso de compra
////////////////////////////////////////////////////
tabNavegaC($aMENU01,LIT00006);

////////////////////////////////////////////////////
// Si no hay cesta activa vuelve al inicio
////////////////////////////////////////////////////
if (!isset($_SESSION['Pedido']))
	redirect("index.php");

////////////////////////////////////////////////////
// Si no est en sesin debe autenticarse
////////////////////////////////////////////////////
if (!isset($_SESSION['Cliente']))
    redirect("autenticarse.php");

////////////////////////////////////////////////////
// Obtener datos del cliente
////////////////////////////////////////////////////
$oCli = New Cliente;
$aCli = $oCli->leerCliente();


////////////////////////////////////////////////////
// Obtener datos del pedido
////////////////////////////////////////////////////
$oPedido = New Pedido($_SESSION['Pedido']);

	////////////////////////////////////////////////////////
	// Inicio de la transaccin
	////////////////////////////////////////////////////////
	$con->autocommit(FALSE);

	////////////////////////////////////////////////////////////
	// Borrado de la cesta y del tem de la cesta
	////////////////////////////////////////////////////////////
	$oCesta  = New Cesta;
	$oCesta->eliminarCesta();



	/////////////////////////////////////////////////////////////
	// Email al comprador
	/////////////////////////////////////////////////////////////
	$to = "edgar.dandrea@gmail.com" ."\r\n";
	// direccin de email con signos <...>
	$subject = time();

	$body = "<html><head><title>".LIT07002." </title></head>";
	$body .= "<body>".LIT07003.$oPedido->PedidoID."<br><br>";
	$body .= LIT07004.DE_EMAIL."</body></html>\r\n";

	$header = "MIME-Version: 1.0\r\n";
	$header .= "Content-type: text/html; charset=iso-8859-1\r\n";
	$header .= "To: " . $to ."\r\n";
	$header .= "From:" . "susanarvida@telefonica.net" ."\r\n";
	// From con signos <....>
	echo "<br>";
	echo $to;
	echo "<br>";
	echo $subject;
	echo "<br>";
	echo $body;
	echo "<br>";
	echo $header;
	echo "<br>";
	$v = mail($to, $subject, $body, $header);
	if ($v)
	echo "OK";
	else
		echo "KO";


	////////////////////////////////////////////////////////////
	// confirma las actualizaciones de la transaccin
	///////////////////////////////////////////////////////////
	$con->commit();

	unset($_SESSION['Cesta']);
	unset($_SESSION['Pedido']);
	echo "<br><b>".LIT07011."</b><br>";


// informacin de pie de pgina
cerrarPagina();
?>